package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface IBonusCycle extends ICoreBillBase
{
    public BonusCycleCollection getBonusCycleCollection() throws BOSException;
    public BonusCycleCollection getBonusCycleCollection(EntityViewInfo view) throws BOSException;
    public BonusCycleCollection getBonusCycleCollection(String oql) throws BOSException;
    public BonusCycleInfo getBonusCycleInfo(IObjectPK pk) throws BOSException, EASBizException;
    public BonusCycleInfo getBonusCycleInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public BonusCycleInfo getBonusCycleInfo(String oql) throws BOSException, EASBizException;
    public void lock(String billId) throws BOSException, EASBizException;
    public void unLock(String billId) throws BOSException, EASBizException;
}